<?php
// lang_install.php for diaRice - photo calendar 0.5 en/de 07.18.2007 19:52
// Copyright (c) 2007-2008 Michael Daum,  visit http://webdaum.de/

@session_start();
if(!defined('_PATH')) {
	define('_PATH',realpath('../'));
}

// Security:
include_once (_PATH.'/classes/login.inc.php');
$guard = new check();
if($this->c_config && !$guard->check_user()) {

	$errorpage =$this->c_host.$this->c_phpself.'files/error_401.php';

    Header('HTTP/1.1 401 Unauthorized');
    Header('location:'.$errorpage);
	exit;
}

// load data, set variables:
$auth_user = $_SESSION['auth'];
$msg = '';
$file = _PATH.'/lang/lang_options.php';
$method = 'post';
$title =  ucfirst($auth_user).' | '.DFN_LANG_INSTALL;

include ($file);
include (_PATH.'/data/profile_data.php');

$lines = file(_PATH.'/lang/ISO_639_1.txt');
	
foreach ($lines as $key => $line) {
  if(strpos(trim($line),'#',0)===0 || strlen(chop($line))==0) continue;
   $line = explode('=',$line);	  
   if(!isset($lang_option[trim($line[0])])) {
  	$option[trim($line[0])] = trim($line[1]);
  }
}

// HANDLE POSTED FILES:
if(isset($_POST['newlang'])) {
	
	// CHECK - errror handling:
	if(strlen($_POST['text'])< 10000 ) {
	
		$msg.= ERROR.' '.ERROR_LOW_FILESIZE.'<br />';
		
	} else {
    
    
    if(!file_put_contents('lang/'.$_POST['newlang'].'.lang',stripcslashes($_POST['text']))) {
    	$msg.= ERROR.' '.DFN_FILE_LANG.' - '.ERROR_FAIL_SAVE.'<br />';
    }
    if(strlen($_POST['help'])>400) {
    	if(!file_put_contents('lang/help_'.$_POST['newlang'].'.txt',stripcslashes($_POST['help']))) {
    		$msg.= ERROR.' '.DFN_FILE_HELP.' - '.ERROR_FAIL_SAVE.'<br />';
    	}
    }
    if(strlen($_POST['copyright'])>1000) {
    	if(!file_put_contents('lang/readme_'.$_POST['newlang'].'.txt',stripcslashes($_POST['copyright']))) {
    		$msg.= ERROR.' '.DFN_FILE_COPYRIGHT.' - '.ERROR_FAIL_SAVE.'<br />';
    	}
    }
    if(!is_dir($this->c_image_path.'/'.$_POST['newlang'])) {
    	if(!mkdir($this->c_image_path.'/'.$_POST['newlang'])) {
    		$msg.= ERROR.' '.$this->c_image_path.'/'.$_POST['newlang'].' - '.ERROR_MKDIR;
    	}
    }
  } 
	if( $msg == '' ) {
	
  	// on sucess redirect to config.php:
		header('location:'.$this->c_host.$this->c_phpself.$this->c_filename.'?go=config');
		exit;
  } else {
  
  	// an errror has occured:
  	$title.= ' - '.MSG_FAILED;
  }
  
}

echo '<?xml version="1.0" encoding="utf-8"?><!-- IE Quirks, please! -->'."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo $title?></title>
<meta http-equiv="Content-Type" content=
"text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="<?php echo $profile[urlencode($auth_user)]->skin?>" />
<style type="text/css">

  
</style>
</head>
<body id="admin">
<div id="container">
<div id="kopf">
<h1><?php echo $this->c_calendar_name.' | '.$title.' | <small> '.
date(TIME_FORMAT,C_TODAYS_DATE).'</small>';?></h1>
<div id="navi">
<?php

 include 'menu.php';
 
?>
</div>
</div>
<?php	
echo "<div id=\"form\">\n";
if($msg!='') {
	echo "<div class=\"msg\">\n<strong>$msg</strong>\n</div>\n";
}
echo "<form method=\"$method\" action=\"?go=lang_install\">
<fieldset>
<legend>".DFN_LANG.'</legend>
<p><b>'.DFN_TIP.':</b> '.TIP_LANG_INSTALL.'.</p>
<div id="auswahl">
<dfn>'.LEGEND_SELECTION.' '.DFN_LANG.':</dfn> <select size="1" name="newlang">
';
foreach ($option as $k => $v) {
  echo "<option value=\"$k\">$v</option>\n";
}	
echo '</select><br />
<dfn>'.LEGEND_ENTER_TEXT.' - '.DFN_FILE_LANG.': </dfn><textarea cols="80" rows="20" name="text">
</textarea>
<dfn>'.LEGEND_ENTER_TEXT.' - '.DFN_FILE_HELP.': </dfn><textarea cols="80" rows="20" name="help">
</textarea>
<dfn>'.LEGEND_ENTER_TEXT.' - '.DFN_FILE_COPYRIGHT.': </dfn><textarea cols="80" rows="20" name="copyright">
</textarea>
</div>
</fieldset>
<div class="clear" id="befehlskonsole">
<input type="submit" class="submit" value="'.NEXT.'&raquo;" />
<a href="./" class="button">'.MODE_CANCEL.'</a>
</div>
</form>
</div>
</div>
</body>
</html>';
?>