<?php

if(!defined("_PATH")) {
	define("_PATH",realpath("../"));
}
include_once (_PATH."/classes/login.inc.php");
$guard = new check();
if (!$guard->check_user()) {

	$errorpage =$this->c_host.$this->c_phpself.'files/error_401.php';

	Header('HTTP/1.1 401 Unauthorized');
	Header("location:$errorpage");
	exit;
  }
  
	include_once (_PATH."/include/function.php");
	include (_PATH."/lang/translate.php");
	
  $profile_data = _PATH."/data/profile_data.php";
  
  $auth_user = $_SESSION['auth'];
	if (!isset($_POST['user_name'])) {
  
  $aktion = "$_LANG[administrate_profile]";
  if(is_file($profile_data)) {
  
		include $profile_data;
		
  	while( list($k,$elem) = each($profile) ) {
  	
  		if ($profile[$k]->user_name==$auth_user) {
  		
  			$has_profile = true;
  			$legend="$_LANG[legend_change]:";
  			$key=$k;
  			
			}
  	}
	} 
	if(!@$has_profile){
	
  	$legend="$_LANG[legend_enter_profile]:";
  	$key = urlencode($auth_user);
		$profile[$key] = new profile($auth_user);
		if(!is_dir("data/user/$auth_user")) mkdir("data/user/$auth_user");
  	
	}
		
		$show_all=false;
		
		if ($guard->check_super_user()&& isset($_GET['all']) ) {
			$show_all = true;
  		$legend ="$_LANG[legend_give_rights]:";
  		$aktion = "$_LANG[administrate_rights]";
		}
	
  $user_name=$profile[$key]->user_name;
  $first_name=$profile[$key]->first_name;
  $last_name=$profile[$key]->last_name;
  $residence=$profile[$key]->residence;
  $email=$profile[$key]->email;
  $website=$profile[$key]->website;
  $rights=$profile[$key]->rights;
  $media=$profile[$key]->media;
  $text=$profile[$key]->text;
  $lang=$profile[$key]->language;
  $skin=$profile[$key]->skin;
  			
echo "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?"."><!-- IE Quirks -->"."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo ucfirst($auth_user)." | $aktion";?></title>
<meta http-equiv="Content-Type" content=
"text/html; charset=<?php echo $this->c_charset;?>" />
<link rel="stylesheet" type="text/css" href="<?php echo $skin?>" />
<script type="text/javascript" src="js/editor.js" charset="iso-8859-1"></script>
</head>
<body>
<div id="kopf">
<h1><?echo "$this->c_calendar_name | ". ucfirst($auth_user)." | $aktion";?></h1>
<div id="navi">
<?php

 include "menu.php";
 
?>
</div>
</div>
<div id="form">
<form method="post" action="<?php echo $PHP_SELF ?>" enctype="multipart/form-data">
<fieldset>
<legend><?php echo $legend?></legend>
<div id="daten">
<?php
if (!$show_all) { // 
?>
<dfn><?php echo "$_LANG[input_username]"?>:</dfn>
<input type="hidden" name="user_name" value="<?php echo $user_name?>" />
<input type="hidden" name="rights" value="<?php echo $rights?>" />
<b><?php echo $user_name?></b><br />
<dfn><?php echo "$_LANG[dfn_first_name]"?>:</dfn>
<input type="text" name="first_name" value="<?php echo $first_name?>" /><br />
<dfn><?php echo "$_LANG[dfn_last_name]"?>:</dfn>
<input type="text" name="last_name" value="<?php echo $last_name?>" /><br />
<dfn><?php echo "$_LANG[dfn_residence]"?>:</dfn>
<input type="text" name="residence" value="<?php echo $residence?>" /><br />
<dfn><?php echo "$_LANG[dfn_email]"?>:</dfn>
<input type="text" name="email" value="<?php echo $email?>" /><br />
<dfn><?php echo "$_LANG[dfn_website]"?>: <b>http://</b></dfn>
<input type="text" name="website" value="<?php echo $website?>" /><br />
<dfn>Design:</dfn>
<select size="1" name="skin">
<?php
$cssfiles = $this->file_mngr->go("css/admin","css","file");
foreach ($cssfiles as $k => $v) {
$k=$k==$skin?"$k\" selected=\"selected":$k;
echo "<option value=\"$k\">$v</option>\n";
}
?>
</select><br />
<dfn><?php echo $_LANG['dfn_lang']?>:</dfn>
<select size="1" name="lang">
<?php
include "lang/lang_options.php";
$lang_option = array_unique($lang_option);
foreach ($lang_option as $k => $v) {
$k=$k==$lang?"$k\" selected=\"selected":$k;
echo "<option value=\"$k\">$v</option>\n";
}
?>
</select><br />
</div>
</fieldset>
<?php
$src = $media==""?"css/img/pixel.gif":"data/user/$user_name/$media";
$out = "";
$images = $this->file_mngr->go("data/user/$user_name","","image");

if(count($images)>0) {
$out.= "<fieldset class=\"relative\">
<legend>$_LANG[legend_choose_image]</legend>
<div id=\"items\">
<dfn>$_LANG[dfn_images]:</dfn>
<select size=\"".count($images)."\" onchange=\"
document.images.media.src='data/user/$user_name/'+this.value;document.forms[0].media.value=this.value;\">
";	
	foreach ( $images as $path => $img) {
		$val = $img==$media?"$img\" selected=\"selected":$img;
		$out.="<option value=\"$val\">$img</option>\n";
	}
	$out.="</select><br />
<img src=\"$src\" name=\"media\" id=\"media\" alt=\"media\"/>
</div>
</fieldset>
";
}

$out.="<fieldset>
<legend>$_LANG[legend_upload_image]</legend>".'
<div class="config">
<input type="hidden" name="MAX_FILES_SIZE" value="100000" />
<input type="hidden" name="upload_target" value="data/user/'.$user_name.'" />
<input type="file" name="file" maxlength="100000" />
<input type="hidden" name="media" value="'.$media."\" />
</div>
</fieldset>";

if(count($images)==0) $out.="<br />";

$out.="
<fieldset>
<legend>$_LANG[legend_enter_text]</legend>
<div id=\"eintrag\">
".$this->editor->out("html").
"<dfn>$_LANG[dfn_text]: </dfn><textarea cols=\"50\" rows=\"5\" name=\"text\">".
htmlentities(stripcslashes(str_replace("","\n",$text)))."</textarea><br />
";
echo $out;
} else {
	echo "<table>
<tr><th>$_LANG[dfn_username]</th><th>$_LANG[admin]</th></tr>";
	foreach($profile as $k =>$v) {
	
	static $i=0;;
	
	$admin=$profile[$k]->rights==="admin"?" checked=\"checked\"":"";
		echo "
<tr>
<td><p>".$profile[$k]->user_name."</p>
<input type=\"hidden\" name=\"user_name[]\" value=\"".$profile[$k]->user_name."\" /></td>
<td><input type=\"checkbox\" name=\"rights$i\"$admin /></td>
</tr>";
	$i++;
	}

	echo '</table>';
}
?>
</div>
</fieldset>
<div id="befehlskonsole"><input type="submit" name="Submit"
value="<?php echo $_LANG['mode_save']?>" class="submit" /><a href="?go=index" class="button">
<?php echo $_LANG['back']?></a><a href="<?php echo $this->c_filename;?>" class="button">
<?php echo $this->c_calendar_name;?></a>
</div>
</form>
</div>
</body>
</html>
<?php

} else if (isset($_POST['residence'])) {
  
  foreach ($_POST as $key=>$element) {
    if ($key=="Submit"||$key=="file"||$key=="media" || $key=="upload_target") {
	    continue;
	  } else {
	  	${$key} = milder_reiniger($element);
	  }
  } 
	// image upload	
	if (isset($_FILES['file'])) {
	
		$server_msg = "";
		$aktion = "";
		
  	if	(!empty($_FILES['file'])&& $_FILES['file']['size'] > 0 ) {
      $aktion.= "$_LANG[msg_img_upload]";
      include _PATH."/include/uploader.php";
  	} else {
			$media = $_POST["media"];
		}
	} 
	
   
  // check:
  $error_msg="";
  
  if(strlen($first_name)<3){
    $error_msg.="<br />$_LANG[error_name].";
  }
  if(strlen($last_name)<3){
    $error_msg.="<br />$_LANG[error_name].";
  }
  if(strlen($residence)<1){
    $error_msg.="<br />$_LANG[error_residence].";
  }
  if(!ereg("^[_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@([a-zA-Z0-9-]+\.)+([a-zA-Z]{2,4})$",$email)){
    $error_msg.="<br />$_LANG[error_email]!<br />";
  }

// on error:
  if($error_msg!=""){	
  
    	echo "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?"."><!-- IE Quirks -->"."\n".
'
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">'."
<head>
<title>".ucfirst($auth_user)." | $_LANG[admin_profile] | Error</title>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=\"$this->c_charset\" />
<link rel=\"stylesheet\" type=\"text/css\" href=\"$skin\" />
</head>
<body>
<div id=\"kopf\">
<h1>".ucfirst($auth_user)." | $_LANG[admin_profile] | Error</h1>
<h4>$_LANG[error_not_accepted]</h4>
</div>
<div class=\"mitteilung\"><h5>$_LANG[error_found]!</h5>
<p>$error_msg</p>
<p>$_LANG[error_fail_save]!</p>
<div id=\"befehlskonsole\"> <a href=\"javascript:history.back()\"
class=\"submit\"> <u>$_LANG[back]</a> <a href=\"./\" class=\"button\">
$this->c_calendar_name</a></div>
</div>
</body>
</html>
";
exit;
  }
} 
// save:
if (isset($_POST['user_name'])) {

  $profile_data =_PATH."/data/profile_data.php";
  if(is_file($profile_data)) {
  
		include $profile_data;
		
	}
	
	if(isset($email)) { // case: edit profile
	
  	$aktion = "$_LANG[admin_profile]";
  	$_SESSION['language'] = $lang;
		$profile[urlencode($user_name)] = new profile(
			$user_name,
			$first_name,
			$last_name,
			$email,
			$residence,
			$website,
			$rights,
			$media,
			$text,
			$lang,
			$skin
		);
		
	} else { // case: set admin rights
	
  	$aktion = "$_LANG[administrate_rights]";
		
		foreach ($_POST['user_name'] as $k => $v) {
			static $i=0;
		  if (isset($_POST["rights".$i])) { // checkbox is checked
		  	if(!isset($profile[urlencode($v)])) {
		  		$profile[urlencode($v)] = new profile($v);
		  	}
		  	$profile[urlencode($v)]->give_rights();
		  } else {
		  	$profile[urlencode($v)]->take_rights();
		  }
		  $i++;
		}
		
	}
	
	
	
  $data="<?php\n";
  foreach($profile as $key => $elem) {
  	$data.= $profile[$key]->processProfile();
  }
  $data.="?".">";
  #if(file_exists($profile_data)) copy($profile_data,$profile_data.time());
  file_put_contents($profile_data,$data);
  
// on sucess: 
echo "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?"."><!-- IE Quirks -->"."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo ucfirst($auth_user)." | $aktion | $_LANG[msg_sucess_save]";?></title>
<meta http-equiv="Content-Type" content=
"text/html; charset=<?php echo $this->c_charset;?>" />
<link rel="stylesheet" type="text/css" href="<?php echo $profile[urlencode($_SESSION['auth'])]->skin?>" />
</head>
<body>
<div id="kopf">
<h1><?php echo "$this->c_calendar_name | ". ucfirst($auth_user)." | $aktion | $_LANG[msg_sucess_save]";?></h1>
<div id="navi">
<?php

 include "menu.php";
 
?>
</div>
</div>
<div class="form">
<h3><?php echo $_LANG['msg_sucess']?></h3>
<p><?php echo $_LANG['msg_saved']?>!</p>
<?php echo $server_msg
?>
<div id="befehlskonsole">
<a href="?go=profile_edit<?php if(!isset($email)) echo "&amp;all=1";?>"
class="submit" ><?php echo $_LANG['next']?></a><a href="<?php echo $this->c_filename;?>" class="button">
<?php echo $this->c_calendar_name;?></a><a href="logout.php" class="button"><?php echo $_LANG['logout']?></a>
</div>
</div>
</body>
</html>
<?php
}
?>
