<?php
if(!defined('_PATH')) {
	header('Status: 404 Not Found');
	echo '<h1>404 Not Found</h1>'.
	$_SERVER['SERVER_SOFTWARE'].' | '.
	$_SERVER['SERVER_NAME'].'<br />'.
	date ('d-F-Y H:i:s');	
	exit;
}
$out = '';
	
if(SEND_XML_DECLARATION == 'on') {
	$out.="<?xml version=\"1.0\" encoding=\"$this->c_charset\"?".">\n";
}

$out.='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="'.$this->c_lang.'" xml:lang="'.$this->c_lang.'">
<head>
<title>'.$this->c_title.'</title>
<meta http-equiv="Content-Type" content="text/html; charset='.$this->c_charset.'" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<meta name="keywords" content="'.$this->c_meta_keywords.'"
lang="'.$this->c_main_lang.'" xml:lang="'.$this->c_main_lang.'" />
<meta name="description" content="'.$this->c_meta_description.'" />
<meta name="author" content="Michael Daum, http://webdaum.de" />
<meta name="publisher" content="'.$this->c_my_name.'" />
<meta name="generator" content="'.$this->c_version.'" />
<meta name="robots" content="'.$this->c_meta_robots.'" />
<meta name="DC.Date" content="'.$this->c_dc_date.'" />
<link rel="copyright" href="'.$this->c_license.'" />
<link rel="help" href="'.$this->c_help.'" />
<link rel="start" href="./" />
';

if($this->c_go == 'calendar' ) {

	if(!$this->c_start ) {
		$out.='<link rel="prev" href="'.$this->calendar_turn_page(-1).'" />'."\n";
	}
	if(!$this->c_end) {
		$out.='<link rel="next" href="'.$this->calendar_turn_page(+1).'>" />'."\n";
	}
}

$out.=$this->c_alternate.
'<link rel="alternate" type="application/rss+xml" title="RSS2-Feed" href="feed.php?lang='.$this->c_lang.'" />
<link rel="alternate" type="application/rss+xml" title="RSS1-Feed" href="feed.php?version=rss1&amp;lang='.$this->c_lang.'" />
<link rel="alternate" type="application/atom+xml" title="Atom-Feed" href="feed.php?version=atom&amp;lang='.$this->c_lang.'" />
<link rel="shortcut icon" href="css/favicon.ico" type="image/ico" />

<!-- PHP Template (c) Michael Daum, 2007 for '.$this->c_version."\n\n";

$out.=$this->c_tooltipp['about_software']."\n".
$this->c_tooltipp['about_specials']."\n".
$this->c_tooltipp['about_design']."\n".
$this->c_tooltipp['download'].": ".$this->c_download_resource.' -->

<style type="text/css">

@import "'.$this->c_style.'";

';
if($this->c_go == 'calendar' ) {
	$out.='img#image {
  background:transparent url('.$this->c_image_resource.') 50% 50% no-repeat;
  }  

';
}
$out.='</style>
</head>
';
echo $out;

?>